aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-10-29 17:30:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-10-29 17:32:07 +0000
commit49b4c1dfaf90f1435fe46e47ded7ca768d0be291 (patch)
tree22df09cf43f9865fe5e67e63c54021df917c6dfe /main/linux-grsec/APKBUILD
parent8c4ba598f3f964a8727f3f68ff3d3463d505d579 (diff)
downloadaports-49b4c1dfaf90f1435fe46e47ded7ca768d0be291.tar.gz
aports-49b4c1dfaf90f1435fe46e47ded7ca768d0be291.tar.bz2
aports-49b4c1dfaf90f1435fe46e47ded7ca768d0be291.tar.xz
*-grsec: upgrade kernel to 2.6.31.5
and use package() function
Diffstat (limited to 'main/linux-grsec/APKBUILD')
-rw-r--r--main/linux-grsec/APKBUILD22
1 files changed, 11 insertions, 11 deletions
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index cde46c6e23..f2230adbdb 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -2,18 +2,19 @@
_flavor=grsec
pkgname=linux-${_flavor}
-pkgver=2.6.31.4
+pkgver=2.6.31.5
_kernver=2.6.31
pkgrel=0
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
depends="mkinitfs linux-firmware"
makedepends="perl installkernel"
+options="!strip"
_config=${config:-kernelconfig.${CARCH:-x86}}
install=
source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
- grsecurity-2.1.14-2.6.31.4-200910181015.patch
+ grsecurity-2.1.14-2.6.31.5-200910232000.patch
kernelconfig.x86
"
subpackages="$pkgname-dev linux-firmware:firmware"
@@ -21,7 +22,7 @@ license="GPL-2"
_abi_release=${pkgver}-${_flavor}
-_prepare() {
+prepare() {
cd "$srcdir"/linux-$_kernver
if [ "$_kernver" != "$pkgver" ]; then
bunzip2 -c < ../patch-$pkgver.bz2 | patch -p1 -N || return 1
@@ -41,24 +42,23 @@ _prepare() {
# this is so we can do: 'abuild menuconfig' to reconfigure kernel
menuconfig() {
- _prepare
- cd "$srcdir"/build
+ cd "$srcdir"/build || return 1
make menuconfig
cp .config "$startdir"/$_config
}
build() {
- _prepare || return 1
cd "$srcdir"/build
make CC="$CC" || return 1
+}
+package() {
+ cd "$srcdir"/build
mkdir -p "$pkgdir"/boot "$pkgdir"/lib/modules
make modules_install install \
INSTALL_MOD_PATH="$pkgdir" \
INSTALL_PATH="$pkgdir"/boot
-# ln -s vmlinuz-${_abi_release} "${pkgdir}"/boot/$_flavor
-
rm -f "$pkgdir"/lib/modules/${_abi_release}/build \
"$pkgdir"/lib/modules/${_abi_release}/source
install -D include/config/kernel.release \
@@ -119,6 +119,6 @@ firmware() {
}
md5sums="84c077a37684e4cbfa67b18154390d8a linux-2.6.31.tar.bz2
-02078f4231baee4f0004212f2875df2b patch-2.6.31.4.bz2
-d4a3559a00702e4c6d6f3b7d64f72dcc grsecurity-2.1.14-2.6.31.4-200910181015.patch
-25d08b2d9f22a06994b1e45ab8276a7b kernelconfig.x86"
+6cac5e59d5562b591cdda485941204d5 patch-2.6.31.5.bz2
+6b3813a484429f160dce06d69e2e8d7f grsecurity-2.1.14-2.6.31.5-200910232000.patch
+5fadc584b08c9bc420d61e148139becd kernelconfig.x86"